[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1320544784-24576-2-git-send-email-Gregory.Dietsche@cuw.edu>
Date: Sat, 5 Nov 2011 20:59:43 -0500
From: Gregory.Dietsche@....edu
To: julia@...u.dk, mmarek@...e.cz
Cc: rdunlap@...otime.net, Gilles.Muller@...6.fr, npalix.work@...il.com,
cocci@...u.dk, linux-doc@...r.kernel.org,
linux-kernel@...r.kernel.org,
Greg Dietsche <Gregory.Dietsche@....edu>
Subject: [RESEND 1/2] coccicheck: add M= option to control which dir is processed
From: Greg Dietsche <Gregory.Dietsche@....edu>
Examples:
make coccicheck M=drivers/net/wireless/
make coccicheck SUBDIRS=drivers/net/wireless/
Version 2:
fix patch file names when using M=
tell coccinelle where the include files are
Version 3:
Add second include option to support out of tree development
Fix error message
Signed-off-by: Greg Dietsche <Gregory.Dietsche@....edu>
---
scripts/coccicheck | 19 ++++++++++++++-----
1 files changed, 14 insertions(+), 5 deletions(-)
diff --git a/scripts/coccicheck b/scripts/coccicheck
index 1bb1a1b..3c27764 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -9,14 +9,23 @@ if [ "$C" = "1" -o "$C" = "2" ]; then
# FLAGS="-ignore_unknown_options -very_quiet"
# OPTIONS=$*
-# Workaround for Coccinelle < 0.2.3
- FLAGS="-I $srctree/include -very_quiet"
- shift $(( $# - 1 ))
- OPTIONS=$1
+ if [ "$KBUILD_EXTMOD" = "" ] ; then
+ # Workaround for Coccinelle < 0.2.3
+ FLAGS="-I $srctree/include -very_quiet"
+ shift $(( $# - 1 ))
+ OPTIONS=$1
+ else
+ echo M= is not currently supported when C=1 or C=2
+ exit 1
+ fi
else
ONLINE=0
FLAGS="-very_quiet"
- OPTIONS="-dir $srctree"
+ if [ "$KBUILD_EXTMOD" = "" ] ; then
+ OPTIONS="-dir $srctree"
+ else
+ OPTIONS="-dir $KBUILD_EXTMOD -patch $srctree -I $srctree/include -I $KBUILD_EXTMOD/include"
+ fi
fi
if [ ! -x "$SPATCH" ]; then
--
1.7.6.4
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists